<?php

namespace App\Enums;

enum MissionCategory: int
{
    case ROAD_ITEM= 0;
    case ROAD_PATROL = 1;
    case ROAD_OBSERVATION = 2;


    public static function name(int $state): string
    {
        $mapArray = [
            0 => "فعالیت روزانه",
            1 => "گشت راهداری",
            2 => "واکنش سریع",
        ];

        return $mapArray[$state];
    }
}